Advanced Wallets - Consolidate and Recover Assets
Recover assets from an advanced wallet with a balance in multiple receive addresses. Build, sign, and send a consolidation and recovery, all in one call. Sign using your user and backup keys. Works for both multisignature and MPC recoveries.
Retrieves the private keys from KMS using the provided public keys or common keychain, then signs and returns the broadcastable transaction hex.
Note: This endpoint only works when AWM and MBE are running in recovery mode.
To recover assets from an advanced wallet with a balance only in the base address, use Advanced Wallets - Recover Assets.
Use this endpoint only with advanced wallets. For other wallet types, use the Wallet Recovery Wizard.
Path Params
-
coinstring required
Body Params
object
-
userPubstringThe user's public key for standard multisig wallets. Required for onchain multisig recovery consolidations. -
backupPubstringThe backup public key for standard multisig wallets. Required for onchain multisig recovery consolidations. -
bitgoPubstringThe BitGo public key for standard multisig wallets. Required for onchain UTXO multisig recovery consolidations. -
multisigTypestring enum requiredThe type of wallet to recover - onchain: Traditional multisig wallets. - tss: Threshold Signature Scheme wallets.onchaintss -
commonKeychainstringThe common keychain for TSS wallets. Required when multisigType is 'tss'. -
tokenContractAddressstringThe token contract address for token recovery (e.g., ERC20 tokens on Ethereum or SPL tokens on Solana). Required when recovering specific tokens instead of the native coin. -
startingScanIndexnumberThe starting index to scan for addresses to consolidate. Useful for limiting the scan range for better performance. -
endingScanIndexnumberThe ending index to scan for addresses to consolidate. Useful for limiting the scan range for better performance. -
apiKeystringAPI key for blockchain explorer services. Required for some coins to build recovery transactions. -
durableNoncesobjectDurable nonces configuration for Solana transactions. Provides transaction durability for Solana recovery operations. Refer to https://github.com/BitGo/wallet-recovery-wizard/blob/master/DURABLE_NONCE.md on durable nonce creation.durableNonces object
-
publicKeysarray of strings required -
secretKeystring requiredThe secret key of the durable nonce account.
-
Responses
400
Bad Request
Response Body
object
-
errorstring requiredThe error name -
detailsstring requiredError details
404
Not Found
Response Body
object
-
errorstring requiredThe error name -
detailsstring requiredError details
409
Conflict
Response Body
object
-
errorstring requiredThe error name -
detailsstring requiredError details
422
Unprocessable Entity
Response Body
object
-
errorstring requiredThe error name -
detailsstring requiredError details
500
Internal Server Error
Response Body
object
-
errorstring requiredThe error name -
detailsstring requiredError details
501
Not Implemented
Response Body
object
-
errorstring requiredThe error name -
detailsstring requiredError details